package com.hzya.frame.nc.entity;

import com.alibaba.fastjson2.JSON;
import com.hzya.frame.web.entity.BaseEntity;
import lombok.ToString;

/**
 * @Content
 * @Author 👻👻👻👻👻👻👻👻👻👻 gjh
 * @Date 2023-06-14 10:20
 * @Version 1.0
 */
//@ToString(callSuper=true)
public class NcInterface extends BaseEntity {


    public static void main(String[] args) {
        NcInterface s = new NcInterface();
        s.setId("2");
        s.setLimit(1L);
        s.setSts("Y");
        String str = JSON.toJSONString(s);
        //System.out.println(str);
        NcInterface s2 = JSON.parseObject(str,NcInterface.class);
        //System.out.println(JSON.toJSONString(s2));
    }
}
